
SRC_DIR = $(TOP)/$(SRC_POS)

define CreateDir
if [ ! -d $$dir ]; then \
   (umask 002; set -x; $(MKDIRHIER) $$dir); \
fi
endef

define InstallFile
$(CreateDir); \
base=`basename $$file`; \
if [ -f $$dir/$$base ] && cmp $$file $$dir/$$base >/dev/null; then \
  echo "File $$file hasn't changed."; \
else \
  (set -x; \
   $(INSTALL) $(INSTLIBFLAGS) $$file $$dir); \
fi
endef

define InstallExec
$(CreateDir); \
base=`basename $$file`; \
if [ -f $$dir/$$base ] && cmp $$file $$dir/$$base >/dev/null; then \
  echo "File $$file hasn't changed."; \
else \
  (set -x; \
   $(INSTALL) $(INSTEXEFLAGS) $$file $$dir); \
fi
endef

