# General
CXXFLAGS = $(CXXINCLUDES) $(CORBA_CXX_FLAGS) $(CORBA_CXX_DEFINES)
IDL_FILES = $(INTERFACES:%=%.idl)
IDL_COPY_FILES = $(INTERFACES:%=$(STUB_DIR)/%.idl)
STUB_HDRS = $(INTERFACES:%=$(STUB_HDR_SUBST))
STUB_SRCS = $(INTERFACES:%=$(STUB_SRC_SUBST))
STUB_OBJS = $(INTERFACES:%=$(STUB_OBJ_SUBST))
STUB_FILES = $(STUB_HDRS) $(STUB_SRCS) $(STUB_OBJS)

%.d: $(SRC_DIR)/%.cc
	$(CXXMAKEDEPEND) $(CORBA_CXX_DEFINES) $(CXXINCLUDES) $<

depend: $(CXXSRCS:.cc=.d) 
	@echo "Dependency database created"

distclean:
	$(RM) $(CXXSRCS:.cc=.d)

