CXXINCLUDES+= -I.  $(CORBA_INCLUDE_DIR) -I$(STUB_DIR)

.PRECIOUS: $(STUB_HDR_SUBST) $(STUB_SRC_SUBST)

$(STUB_HDR_SUBST) $(STUB_SRC_SUBST): $(TOP)/idl/%.idl
	$(MKDIRHIER) $(STUB_DIR)
	$(RM) $(STUB_DIR)/$(notdir $^)
	$(CP) $(TOP)/idl/$(notdir $^) $(STUB_DIR)
	( cd $(STUB_DIR); \
	  $(IDL_COMPILER) $(IDL_DEFINES) $(IDLFLAGS) $(notdir $^); \
	)

$(STUB_OBJ_SUBST): $(STUB_SRC_SUBST) $(STUB_HDR_SUBST)
	$(CXX)  $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(CORBA_CPPFLAGS) \
		$(IMPORT_CPPFLAGS) -c $< -o $@

clean::
	$(RM) -rf $(STUB_OBJS) *.o Templates.DB

cleanall::
	$(RM) $(STUB_FILES) $(IDL_FILES)
