#include "bootstrap.hh"


static const char* _0RL_library_version = omniORB_2_6;


#ifndef __01RL_CORBA_InitialReferences__tc_ObjId__
#define __01RL_CORBA_InitialReferences__tc_ObjId__

static CORBA::TypeCode _01RL_CORBA_InitialReferences__tc_ObjId("IDL:CORBA_InitialReferences/ObjId:1.0", "ObjId", CORBA::TypeCode(CORBA::tk_string,0));

#endif

const CORBA::TypeCode_ptr CORBA_InitialReferences::_tc_ObjId = & _01RL_CORBA_InitialReferences__tc_ObjId;

#ifndef __01RL_CORBA_InitialReferences__tc_ObjIdList__
#define __01RL_CORBA_InitialReferences__tc_ObjIdList__

static CORBA::TypeCode _01RL_CORBA_InitialReferences__tc_ObjIdList("IDL:CORBA_InitialReferences/ObjIdList:1.0", "ObjIdList", CORBA::TypeCode(CORBA::tk_sequence, 0, CORBA::TypeCode(CORBA::tk_string,0)));

#endif

const CORBA::TypeCode_ptr CORBA_InitialReferences::_tc_ObjIdList = & _01RL_CORBA_InitialReferences__tc_ObjIdList;

CORBA::Object_ptr  _proxy_CORBA_InitialReferences::get ( const char *  id )
{
  CORBA::ULong _0RL_retries = 0;
#ifndef EGCS_WORKAROUND
_0RL_again:
#else
while(1) {
#endif
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Object_ptr _0RL_result = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),4);
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_4);
    _0RL_msgsize += 4 + (((const char*) id)? strlen((const char*) id) + 1 : 1);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"get",4,_0RL_msgsize,0);
    {
      CORBA::ULong _len = (((const char*) id)? strlen((const char*) id) + 1 : 1);
      _len >>= _0RL_c;
      if (_len > 1)
        _0RL_c.put_char_array((const CORBA::Char *)((const char*) id),_len);
      else {
        if ((const char*) id == 0 && omniORB::traceLevel > 1)
          _CORBA_null_string_ptr(0);
        CORBA::Char _tempchar = '\0';
        _tempchar >>= _0RL_c;
      }
    }
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result = CORBA::Object::unmarshalObjRef(_0RL_c);
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              omniORB::log << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference.\n";
              omniORB::log.flush();
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          omniORB::log << "GIOP::LOCATION_FORWARD: retry request.\n";
          omniORB::log.flush();
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_result) CORBA::release(_0RL_result);
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (_0RL_result) CORBA::release(_0RL_result);
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_result) CORBA::release(_0RL_result);
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (_0RL_result) CORBA::release(_0RL_result);
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    if (_0RL_result) CORBA::release(_0RL_result);
    throw;
  }
#ifndef EGCS_WORKAROUND
  goto _0RL_again;
#else
}
#endif
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Object_ptr _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


CORBA_InitialReferences::ObjIdList * _proxy_CORBA_InitialReferences::list (  )
{
  CORBA::ULong _0RL_retries = 0;
#ifndef EGCS_WORKAROUND
_0RL_again:
#else
while(1) {
#endif
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  ObjIdList * _0RL_result = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),5);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"list",5,_0RL_msgsize,0);
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result = new ObjIdList;
        *_0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              omniORB::log << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference.\n";
              omniORB::log.flush();
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          omniORB::log << "GIOP::LOCATION_FORWARD: retry request.\n";
          omniORB::log.flush();
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_result) delete _0RL_result;
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (_0RL_result) delete _0RL_result;
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_result) delete _0RL_result;
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (_0RL_result) delete _0RL_result;
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    if (_0RL_result) delete _0RL_result;
    throw;
  }
#ifndef EGCS_WORKAROUND
  goto _0RL_again;
#else
}
#endif
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    ObjIdList * _0RL_result = 0;
    return _0RL_result;
  }
#endif
}



CORBA::Boolean
_sk_CORBA_InitialReferences::dispatch(GIOP_S &_0RL_s,const char *_0RL_op,CORBA::Boolean _0RL_response_expected)
{
  if (strcmp(_0RL_op,"get") == 0)
  {
    CORBA::String_var id;
    {
      CORBA::ULong _len;
      _len <<= _0RL_s;
      if (!_len) {
        if (omniORB::traceLevel > 1)
          _CORBA_null_string_ptr(1);
        _len = 1;
      }
      else if ( _0RL_s.RdMessageUnRead() < _len)
        throw CORBA::MARSHAL(0,CORBA::COMPLETED_NO);
      id = CORBA::string_alloc(_len-1);
      if (!((char *)id))
        throw CORBA::NO_MEMORY(0,CORBA::COMPLETED_NO);
      if (_len > 1)
        _0RL_s.get_char_array((CORBA::Char *)((char *)id),_len);
      else
        *((CORBA::Char*)((char*)id)) <<= _0RL_s;
    }
    _0RL_s.RequestReceived();
    CORBA::Object_var _0RL_result;
    _0RL_result = get ( id );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = CORBA::Object::NP_alignedSize((_0RL_result.operator->()),_0RL_msgsize);
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    CORBA::Object::marshalObjRef((_0RL_result.operator->()),_0RL_s);
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"list") == 0)
  {
    _0RL_s.RequestReceived();
    ObjIdList_var _0RL_result;
    _0RL_result = list (  );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = (_0RL_result.operator->())->NP_alignedSize(_0RL_msgsize);
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    *(_0RL_result.operator->()) >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else {
    return 0;
  }
}

_sk_CORBA_InitialReferences::_sk_CORBA_InitialReferences (const omniORB::objectKey& k)
{
  omniRopeAndKey l(0,(CORBA::Octet*)&k,(CORBA::ULong)sizeof(k));
  setRopeAndKey(l,0);
}

omniORB::objectKey
_sk_CORBA_InitialReferences::_key()
{
  omniRopeAndKey l;
  getRopeAndKey(l);
  return (*((omniORB::objectKey*)l.key()));
}

CORBA_InitialReferences_ptr
CORBA_InitialReferences::_duplicate(CORBA_InitialReferences_ptr obj)
{
  if (CORBA::is_nil(obj))
    return CORBA_InitialReferences::_nil();
  CORBA::Object::_duplicate(obj);
  return obj;
}

CORBA_InitialReferences_ptr
CORBA_InitialReferences::_narrow(CORBA::Object_ptr obj)
{
  if (CORBA::is_nil(obj))
    return CORBA_InitialReferences::_nil();
  CORBA_InitialReferences_ptr e = (CORBA_InitialReferences_ptr) (obj->PR_getobj()->_realNarrow(CORBA_InitialReferences_IntfRepoID));
  if (e)
    return e;
  else
    return CORBA_InitialReferences::_nil();
}

void *
CORBA_InitialReferences::_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id)
{
  if (is_cxx_type_id) return 0;
  if (!repoId)
    return (void *)((CORBA::Object_ptr)this);
  if (strcmp(CORBA_InitialReferences_IntfRepoID,repoId) == 0)
    return (void *)this;
  else {
    return 0;
  }
}

CORBA::Boolean
CORBA_InitialReferences::_0RL_is_a(const char *base_repoId) {
  if (strcmp(base_repoId,(const char *)CORBA_InitialReferences_IntfRepoID)==0)
    return 1;
  else
    return 0;
}

CORBA_InitialReferences_ptr
CORBA_InitialReferences_Helper::_nil() {
  return CORBA_InitialReferences::_nil();
}

CORBA::Boolean
CORBA_InitialReferences_Helper::is_nil(CORBA_InitialReferences_ptr p) {
  return CORBA::is_nil(p);
}

void
CORBA_InitialReferences_Helper::release(CORBA_InitialReferences_ptr p) {
  CORBA::release(p);
}

void
CORBA_InitialReferences_Helper::duplicate(CORBA_InitialReferences_ptr p) {
  CORBA::Object::_duplicate(p);
}

size_t
CORBA_InitialReferences_Helper::NP_alignedSize(CORBA_InitialReferences_ptr obj,size_t initialoffset) {
  return CORBA_InitialReferences::NP_alignedSize(obj,initialoffset);
}

void
CORBA_InitialReferences_Helper::marshalObjRef(CORBA_InitialReferences_ptr obj,NetBufferedStream &s) {
  CORBA_InitialReferences::marshalObjRef(obj,s);
}

CORBA_InitialReferences_ptr CORBA_InitialReferences_Helper::unmarshalObjRef(NetBufferedStream &s) {
  return CORBA_InitialReferences::unmarshalObjRef(s);
}

void
CORBA_InitialReferences_Helper::marshalObjRef(CORBA_InitialReferences_ptr obj,MemBufferedStream &s) {
  CORBA_InitialReferences::marshalObjRef(obj,s);
}

CORBA_InitialReferences_ptr CORBA_InitialReferences_Helper::unmarshalObjRef(MemBufferedStream &s) {
  return CORBA_InitialReferences::unmarshalObjRef(s);
}

const char *
CORBA_InitialReferences_proxyObjectFactory::irRepoId() const
{
  return (const char *)CORBA_InitialReferences_IntfRepoID;
}

CORBA::Object_ptr
CORBA_InitialReferences_proxyObjectFactory::newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release)
{
  _proxy_CORBA_InitialReferences *p = new _proxy_CORBA_InitialReferences(r,key,keysize,profiles,release);
  if (!p) {
    throw CORBA::NO_MEMORY(0,CORBA::COMPLETED_NO);
  }
  return (CORBA::Object_ptr) p;
}

CORBA::Boolean
CORBA_InitialReferences_proxyObjectFactory::is_a(const char *base_repoId) const
{
  return CORBA_InitialReferences::_0RL_is_a(base_repoId);

}

CORBA_InitialReferences_ptr
CORBA_InitialReferences::_nil() {
  return CORBA_InitialReferences_proxyObjectFactory::_nil();
}

static const CORBA_InitialReferences_proxyObjectFactory CORBA_InitialReferences_proxyObjectFactory;
CORBA_InitialReferences_ptr CORBA_InitialReferences_proxyObjectFactory::__nil_CORBA_InitialReferences = 0;

#ifndef __01RL__tc_CORBA_InitialReferences__
#define __01RL__tc_CORBA_InitialReferences__
static CORBA::TypeCode _01RL__tc_CORBA_InitialReferences("omg.org/CORBA/InitialReferences:1.0", "CORBA_InitialReferences");

#endif

const CORBA::TypeCode_ptr _tc_CORBA_InitialReferences = & _01RL__tc_CORBA_InitialReferences;

void operator<<=(CORBA::Any& _a, CORBA_InitialReferences_ptr _s) {
  MemBufferedStream _0RL_mbuf;
  _tc_CORBA_InitialReferences->NP_fillInit(_0RL_mbuf);
  CORBA_InitialReferences::marshalObjRef(_s,_0RL_mbuf);
  _a.NP_replaceData(_tc_CORBA_InitialReferences,_0RL_mbuf);
}

void operator<<=(CORBA::Any& _a, CORBA_InitialReferences_ptr* _sp) {
  _a <<= *_sp;
  CORBA::release(*_sp);
}

CORBA::Boolean operator>>=(const CORBA::Any& _a, CORBA_InitialReferences_ptr& _s) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(_tc_CORBA_InitialReferences,1)) {
    return 0;
  }
  else {
    MemBufferedStream _0RL_tmp_mbuf;
    _a.NP_getBuffer(_0RL_tmp_mbuf);
    _s = CORBA_InitialReferences::unmarshalObjRef(_0RL_tmp_mbuf);
    return 1;
  }
}

