#ifndef __a_hh__
#define __a_hh__

#ifndef USE_omniORB_logStream
#define USE_omniORB_logStream
#endif

#ifndef __CORBA_H_EXTERNAL_GUARD__
#define __CORBA_H_EXTERNAL_GUARD__
#include <omniORB2/CORBA.h>
#endif


#ifdef _LC_attr
#error "A local CPP macro _LC_attr has already been defined."
#else
#ifdef  USE_stub_in_nt_dll
#define _LC_attr _OMNIORB_NTDLL_IMPORT
#else
#define _LC_attr
#endif
#endif

#ifndef __a__
#define __a__
class   a;
typedef a* a_ptr;
typedef a_ptr aRef;

class a_Helper {
  public:
  static a_ptr _nil();
  static CORBA::Boolean is_nil(a_ptr p);
  static void release(a_ptr p);
  static void duplicate(a_ptr p);
  static size_t NP_alignedSize(a_ptr obj,size_t initialoffset);
  static void marshalObjRef(a_ptr obj,NetBufferedStream &s);
  static a_ptr unmarshalObjRef(NetBufferedStream &s);
  static void marshalObjRef(a_ptr obj,MemBufferedStream &s);
  static a_ptr unmarshalObjRef(MemBufferedStream &s);
};
typedef _CORBA_ObjRef_Var<a,a_Helper> a_var;

#endif
#define a_IntfRepoID "IDL:a:1.0"

class a : public virtual omniObject, public virtual CORBA::Object {
public:

  virtual char *  echo ( const char *  txt ) = 0;
  static a_ptr _duplicate(a_ptr);
  static a_ptr _narrow(CORBA::Object_ptr);
  static a_ptr _nil();

  static inline size_t NP_alignedSize(a_ptr obj,size_t initialoffset) {
    return CORBA::AlignedObjRef(obj,a_IntfRepoID,10,initialoffset);
  }

  static inline void marshalObjRef(a_ptr obj,NetBufferedStream &s) {
    CORBA::MarshalObjRef(obj,a_IntfRepoID,10,s);
  }

  static inline a_ptr unmarshalObjRef(NetBufferedStream &s) {
    CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(a_IntfRepoID,s);
    a_ptr _result = a::_narrow(_obj);
    CORBA::release(_obj);
    return _result;
  }

  static inline void marshalObjRef(a_ptr obj,MemBufferedStream &s) {
    CORBA::MarshalObjRef(obj,a_IntfRepoID,10,s);
  }

  static inline a_ptr unmarshalObjRef(MemBufferedStream &s) {
    CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(a_IntfRepoID,s);
    a_ptr _result = a::_narrow(_obj);
    CORBA::release(_obj);
    return _result;
  }

  static CORBA::Boolean _0RL_is_a(const char *base_repoId);

protected:

  a() {
    if (!is_proxy())
      omniObject::PR_IRRepositoryId(a_IntfRepoID);
    this->PR_setobj(this);
  }
  virtual ~a() {}
  virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

private:

  a(const a&);
  a &operator=(const a&);
};

class _sk_a :  public virtual a {
public:

  _sk_a() {}
  _sk_a(const omniORB::objectKey& k);
  virtual ~_sk_a() {}
  a_ptr _this() { return a::_duplicate(this); }
  void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
  CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
  void _dispose() { _boa()->dispose(this); }
  omniORB::objectKey _key();
  virtual char *  echo ( const char *  txt ) = 0;
  virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

protected:
  virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
    return a::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
  }
private:
  _sk_a (const _sk_a&);
  _sk_a &operator=(const _sk_a&);
};

class _proxy_a :  public virtual a {
public:

  _proxy_a (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
    omniObject(a_IntfRepoID,r,key,keysize,profiles,release) {
      omni::objectIsReady(this);
  }
  virtual ~_proxy_a() {}
  virtual char *  echo ( const char *  txt );

protected:

  _proxy_a () {}

  virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
    return a::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
  }
private:

  _proxy_a (const _proxy_a&);
  _proxy_a &operator=(const _proxy_a&);
};

class _nil_a : public virtual a {
public:
  _nil_a() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
  virtual ~_nil_a() {}
  char *  echo ( const char *  txt ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    char * _0RL_result = 0;
    return _0RL_result;
#endif
  }

protected:
  virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
    return a::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
  }
};

class a_proxyObjectFactory : public proxyObjectFactory {
public:
  a_proxyObjectFactory () {}
  virtual ~a_proxyObjectFactory () {}
  virtual const char *irRepoId() const;
  virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
  virtual CORBA::Boolean is_a(const char *base_repoId) const;
  static a_ptr _nil() {
    if (!__nil_a) {
      __nil_a = new _nil_a;
    }
    return __nil_a;
  }
private:
  static a_ptr __nil_a;
};

_CORBA_GLOBAL_VAR const CORBA::TypeCode_ptr _tc_a;


void operator<<=(CORBA::Any& _a, a_ptr _s);
void operator<<=(CORBA::Any& _a, a_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, a_ptr& _s);


#undef _LC_attr

#endif // __a_hh__
