// $Id: forward.hh,v 1.1 1999/05/21 16:55:05 mencnar Exp $
//
// $Source: /home/iris/mencnar/ec/CVS/src/hh/forward.hh,v $
//
// $Log: forward.hh,v $
// Revision 1.1  1999/05/21 16:55:05  mencnar
// *** empty log message ***
//
//

#ifndef __FORWARDER_HH__
#define __FORWARDER_HH__

#include "ecdata.hh"
#include <ecadmin.hh>

class EventChannel_i;

class AbstractForwarder;
typedef RefInstance<AbstractForwarder> AbstractForwarderInstance;

class AbstractForwarder {
public:
  virtual void
  open_event_channel( EventChannel_i &channel,
		      AbstractForwarderInstance inst,
		      CORBA::ULong _channel_id,
		      CORBA::ULong _max_queue_size,
		      ECAdmin::OverflowAction _oa,
		      CORBA::ULong _keep_alive_time)= 0;

  virtual int
  try_forward_consumer( CosEventChannelAdmin::ProxyPushSupplier_ptr push_supp,
		        CORBA::ULong consumer_id,
			CosEventComm::PushConsumer_ptr push_cons)= 0;

  virtual int
  try_forward_typed_consumer( CosEventChannelAdmin::ProxyPushSupplier_ptr push_supp,
			      CORBA::ULong consumer_id,
			      IRMOD InterfaceDef_ptr idef,
			      CosEventComm::PushConsumer_ptr cons_cons)= 0;
			   
  virtual void 
  remove_forwarded_consumer( CORBA::ULong consumer_id)= 0;
  
  virtual void 
  close_event_channel()= 0;

  virtual void
  push( ECDHandler &ecdh)= 0;

  virtual ~AbstractForwarder() {}
};

typedef RefInstance<AbstractForwarder> AbstractForwarderInstance;

#endif // __FORWARDER_HH__

//
