package pl.edu.agh.ics.mev;

import java.awt.*;
import java.awt.event.*;
import com.sun.java.swing.*;
import CosEventChannelAdmin.*;
import CosTypedEventChannelAdmin.*;
import CosEventComm.*;
import CosTypedEventComm.*;
import org.omg.CORBA.Any;
import TestIntf;
import TestIntfHelper;

public class PushSuppFrame extends JFrame {

  //Construct the frame
  JMenuBar menuBar1 = new JMenuBar();
  JMenu menuFile = new JMenu();
  JMenuItem menuFileExit = new JMenuItem();
  JMenu menuHelp = new JMenu();
  JMenuItem menuHelpAbout = new JMenuItem();
  JPanel jPanel1 = new JPanel();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JLabel jLabel1 = new JLabel();
  ObjectRef ORChannel= new ObjectRef(ObjectRef.PASTE);
  JButton BConnect = new JButton();

  org.omg.CORBA.ORB orb;
  ProxyPushConsumer ppcons= null;
  TypedProxyPushConsumer tppcons= null;
  TestIntf testintf= null;

  GridBagLayout gridBagLayout2 = new GridBagLayout();
  JPanel jPanel2 = new JPanel();
  GridBagLayout gridBagLayout3 = new GridBagLayout();
  JButton BSString = new JButton();
  JButton BDisconnect = new JButton();
  JTextField TSString = new JTextField();
  JButton BSShort = new JButton();
  JTextField TSShort = new JTextField();
  JButton BSLong = new JButton();
  JTextField TSLong = new JTextField();
  JButton BSDouble = new JButton();
  JTextField TSDouble = new JTextField();
  JButton BOPBoolean = new JButton();
  JPanel jPanel3 = new JPanel();
  JLabel jLabel2 = new JLabel();
  GridBagLayout gridBagLayout4 = new GridBagLayout();
  JCheckBox CBOPBoolean = new JCheckBox();
  JLabel jLabel3 = new JLabel();
  JTextField TOPBoolean = new JTextField();
  JButton BOPDouble = new JButton();
  JPanel jPanel4 = new JPanel();
  JLabel jLabel4 = new JLabel();
  GridBagLayout gridBagLayout5 = new GridBagLayout();
  JTextField TOPDouble = new JTextField();
  JLabel jLabel5 = new JLabel();
  JCheckBox CBOPDouble = new JCheckBox();
  JButton BOPString = new JButton();
  JTextField TOPString = new JTextField();
  JButton BOPAny = new JButton();

  class PushSupplierImpl extends _PushSupplierImplBase {
    public PushSupplierImpl() {}
    public void disconnect_push_supplier() {
      disconnected();
    }
  };

  public PushSuppFrame( org.omg.CORBA.ORB orb) {
    this.orb= orb;
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
//Component initialization

  private void jbInit() throws Exception  {
    this.getContentPane().setLayout(gridBagLayout2);
    this.setSize(new Dimension(400, 300));
    this.setTitle("Sample Push Supplier");
    menuFile.setText("File");
    menuFileExit.setText("Exit");
    menuFileExit.addActionListener(new ActionListener()  {
      public void actionPerformed(ActionEvent e) {
        fileExit_actionPerformed(e);
      }
    });
    menuHelp.setText("Help");
    menuHelpAbout.setText("About");
    jLabel1.setText("Channel object");
    BConnect.setText("Connect");
    BConnect.setActionCommand("BConnect");
    BSString.setEnabled(false);
    BSString.setText("jButton1");
    BSString.setLabel("Send a string");
    BSString.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BSString_actionPerformed(e);
      }
    });
    BSShort.setEnabled(false);
    BSShort.setText("Send a short");
    BSShort.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BSShort_actionPerformed(e);
      }
    });
    BSLong.setEnabled(false);
    BSLong.setText("Send a long");
    BSLong.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BSLong_actionPerformed(e);
      }
    });
    BSDouble.setEnabled(false);
    BSDouble.setText("Send a double");
    BSDouble.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BSDouble_actionPerformed(e);
      }
    });
    BOPBoolean.setEnabled(false);
    BOPBoolean.setText("Operation \"operBoolean\"");
    BOPBoolean.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BOPBoolean_actionPerformed(e);
      }
    });
    jPanel3.setLayout(gridBagLayout4);
    jLabel2.setText("in boolean b");
    jLabel3.setText(", in double d");
    BOPDouble.setEnabled(false);
    BOPDouble.setText("Operation \"operDouble\"");
    BOPDouble.setActionCommand("BOPDouble");
    BOPDouble.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BOPDouble_actionPerformed(e);
      }
    });
    jPanel4.setLayout(gridBagLayout5);
    jLabel4.setText("in double d");
    jLabel5.setText(", in boolean b");
    BOPString.setEnabled(false);
    BOPString.setText("Operation \"operString\"");
    BOPString.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BOPString_actionPerformed(e);
      }
    });
    BOPAny.setEnabled(false);
    BOPAny.setText("Operation \"operAny\"");
    BOPAny.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BOPAny_actionPerformed(e);
      }
    });
    BDisconnect.setEnabled(false);
    BDisconnect.setText("jButton2");
    BDisconnect.setLabel("Disconnect");
    BDisconnect.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BDisconnect_actionPerformed(e);
      }
    });
    jPanel2.setLayout(gridBagLayout3);
    BConnect.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BConnect_actionPerformed(e);
      }
    });
    jPanel1.setLayout(gridBagLayout1);
    menuHelpAbout.addActionListener(new ActionListener()  {
      public void actionPerformed(ActionEvent e) {
        helpAbout_actionPerformed(e);
      }
    });
    menuFile.add(menuFileExit);
    menuHelp.add(menuHelpAbout);
    menuBar1.add(menuFile);
    menuBar1.add(menuHelp);
    this.setJMenuBar(menuBar1);
    this.getContentPane().add(jPanel1, new GridBagConstraints2(0, 0, 2, 1, 1.0, 1.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel1.add(jLabel1, new GridBagConstraints2(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel1.add(ORChannel, new GridBagConstraints2(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel1.add(BConnect, new GridBagConstraints2(2, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel1.add(BDisconnect, new GridBagConstraints2(3, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    this.getContentPane().add(jPanel2, new GridBagConstraints2(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(BSString, new GridBagConstraints2(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(TSString, new GridBagConstraints2(1, 0, 2, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(BSShort, new GridBagConstraints2(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(TSShort, new GridBagConstraints2(1, 1, 2, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(BSLong, new GridBagConstraints2(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(TSLong, new GridBagConstraints2(1, 2, 2, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(BSDouble, new GridBagConstraints2(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(TSDouble, new GridBagConstraints2(1, 3, 2, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(BOPBoolean, new GridBagConstraints2(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(jPanel3, new GridBagConstraints2(1, 4, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jLabel2, new GridBagConstraints2(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(CBOPBoolean, new GridBagConstraints2(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jLabel3, new GridBagConstraints2(2, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(TOPBoolean, new GridBagConstraints2(3, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(BOPDouble, new GridBagConstraints2(0, 5, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(jPanel4, new GridBagConstraints2(1, 5, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel4.add(jLabel4, new GridBagConstraints2(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel4.add(TOPDouble, new GridBagConstraints2(2, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel4.add(jLabel5, new GridBagConstraints2(3, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel4.add(CBOPDouble, new GridBagConstraints2(4, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(BOPString, new GridBagConstraints2(0, 6, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(TOPString, new GridBagConstraints2(1, 6, 1, 1, 1.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(BOPAny, new GridBagConstraints2(0, 7, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
  }
//File | Exit action performed

  public void fileExit_actionPerformed(ActionEvent e) {
    System.exit(0);
  }
//Help | About action performed

  public void helpAbout_actionPerformed(ActionEvent e) {
    PushSuppFrame_AboutBox dlg = new PushSuppFrame_AboutBox(this);
    Dimension dlgSize = dlg.getPreferredSize();
    Dimension frmSize = getSize();
    Point loc = getLocation();
    dlg.setLocation((frmSize.width - dlgSize.width) / 2 + loc.x, (frmSize.height - dlgSize.height) / 2 + loc.y);
    dlg.setModal(true);
    dlg.show();
  }
//Overriden so we can exit on System Close

  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      fileExit_actionPerformed(null);
    }
  }

  void setButtonsEnabled( boolean untyped, boolean typed) {
    BOPAny.setEnabled(typed);
    BOPBoolean.setEnabled(typed);
    BOPString.setEnabled(typed);
    BOPDouble.setEnabled(typed);
    BSDouble.setEnabled(untyped);
    BSLong.setEnabled(untyped);
    BSShort.setEnabled(untyped);
    BSString.setEnabled(untyped);
  }

  void BConnect_actionPerformed(ActionEvent e) {
    EventChannel ec=null;
    TypedEventChannel tec=null;
    org.omg.CORBA.Object obj= orb.string_to_object(ORChannel.getIOR());
    try {
      ec= EventChannelHelper.narrow(obj);
    }
    catch (Exception ex) {
    }
    try {
      if (ec==null) {
        tec= TypedEventChannelHelper.narrow(obj);
        if (tec==null) throw new Exception("Could not get EventChannel reference");
      }
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error getting event channel reference "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }

    ppcons= null;
    tppcons= null;

    if (ec!=null) {
      try {
        ppcons= ec.for_suppliers().obtain_push_consumer();
        PushSupplier pushsupp= new PushSupplierImpl();
        orb.connect( pushsupp);
        ppcons.connect_push_supplier( pushsupp);
      }
      catch (Exception ex) {
        ex.printStackTrace();
        JOptionPane.showMessageDialog(this,"Error connecting to the event channel "+ex,
          "Error", JOptionPane.ERROR_MESSAGE);
        return;
      }
      BConnect.setEnabled(false);
      BDisconnect.setEnabled(true);
      setButtonsEnabled(true,false);
    }
    else if (tec!=null) {
      try {
        tppcons= tec.for_suppliers().obtain_typed_push_consumer("::TestIntf");
        PushSupplier pushsupp= new PushSupplierImpl();
        orb.connect( pushsupp);
        tppcons.connect_push_supplier( pushsupp);
        testintf= TestIntfHelper.narrow(tppcons.get_typed_consumer());
      }
      catch (Exception ex) {
        ex.printStackTrace();
        JOptionPane.showMessageDialog(this,"Error connecting to the event channel "+ex,
          "Error", JOptionPane.ERROR_MESSAGE);
        return;
      }
      BConnect.setEnabled(false);
      BDisconnect.setEnabled(true);
      setButtonsEnabled(true,true);
    }
  }

  public void disconnected() {
    BConnect.setEnabled(true);
    BDisconnect.setEnabled(false);
    setButtonsEnabled(false,false);
  }

  void BDisconnect_actionPerformed(ActionEvent e) {
    try {
      if (ppcons != null) ppcons.disconnect_push_consumer();
      else if (tppcons != null) tppcons.disconnect_push_consumer();
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error disconnecting a proxy "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      BConnect.setEnabled(true);
      return;
    }
    disconnected();
  }

  void BSString_actionPerformed(ActionEvent e) {
    try {
      Any v= orb.create_any();
      v.insert_string( TSString.getText());
      if (ppcons != null) ppcons.push( v);
      else if (tppcons != null) tppcons.push( v);
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error performing operation "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
  }

  void BSShort_actionPerformed(ActionEvent e) {
    try {
      Any v= orb.create_any();
      v.insert_short( Short.valueOf(TSShort.getText()).shortValue());
      if (ppcons != null) ppcons.push( v);
      else if (tppcons != null) tppcons.push( v);
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error performing operation "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
  }

  void BSLong_actionPerformed(ActionEvent e) {
    try {
      Any v= orb.create_any();
      v.insert_long( Integer.valueOf(TSLong.getText()).intValue());
      if (ppcons != null) ppcons.push( v);
      else if (tppcons != null) tppcons.push( v);
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error performing operation "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
  }

  void BSDouble_actionPerformed(ActionEvent e) {
    try {
      Any v= orb.create_any();
      v.insert_double( Double.valueOf(TSDouble.getText()).doubleValue());
      if (ppcons != null) ppcons.push( v);
      else if (tppcons != null) tppcons.push( v);
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error performing operation "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
  }

  void BOPBoolean_actionPerformed(ActionEvent e) {
    try {
     if (testintf != null) {
        testintf.operBoolean( CBOPBoolean.isSelected(),
                              Double.valueOf( TOPBoolean.getText()).doubleValue());
     }
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error performing operation "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
  }

  void BOPDouble_actionPerformed(ActionEvent e) {
    try {
     if (testintf != null) {
        testintf.operDouble( Double.valueOf( TOPDouble.getText()).doubleValue(),
                             CBOPDouble.isSelected());
     }
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error performing operation "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
  }

  void BOPString_actionPerformed(ActionEvent e) {
    try {
     if (testintf != null)
        testintf.operString( TOPString.getText());
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error performing operation "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
  }

  void BOPAny_actionPerformed(ActionEvent e) {
    try {
     if (testintf != null) {
       Any v= orb.create_any();
       v.insert_long( 98765);
       testintf.operAny( v);
     }
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error performing operation "+ex,
        "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
  }


}


